server {
        listen 443 ssl;
        server_name         local;
        ssl_certificate     /etc/nginx/cert.pem;
        ssl_certificate_key /etc/nginx/key.pem;
        ssl_protocols       TLSv1 TLSv1.1 TLSv1.2;
        ssl_ciphers         HIGH:!aNULL:!MD5;

        location / {
            proxy_pass https://host.docker.internal:3000/;
            proxy_http_version 1.1;
            proxy_set_header Upgrade $http_upgrade;
            proxy_set_header Connection "upgrade";
        }
        location /api {  
            proxy_pass https://host.docker.internal:1443/api;
        }
        location /OAuth2Login {
            proxy_pass https://host.docker.internal:1443/OAuth2Login;
        }
        location /OAuth2Callback {
            proxy_pass https://host.docker.internal:1443/OAuth2Callback;
        }
        location /Logout {
            proxy_pass https://host.docker.internal:1443/Logout;
        }
        location /doc {
            proxy_pass https://host.docker.internal:1443/doc;
        }
        location /imageNames {
            proxy_pass https://host.docker.internal:1443/api/animator/imageNames;
        }
        location /assets {
            proxy_pass https://host.docker.internal:1443/assets;
        }
}